Package org.opensaml.security.trust.impl

# Class ExplicitX509CertificateTrustEvaluator

java.lang.Object
org.opensaml.security.trust.impl.ExplicitX509CertificateTrustEvaluator

public class ExplicitX509CertificateTrustEvaluator extends Object
Auxillary trust evaluator for evaluating an untrusted X509 certificate or credential against a trusted certificate or credential. Trust is established if the untrusted certificate supplied (or the certificate obtained from the untrusted credential's `X509Credential.getEntityCertificate()`) matches one of the trusted certificates supplied.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`ExplicitX509CertificateTrustEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`validate(X509Certificate untrustedCertificate, Iterable<X509Certificate> trustedCertificates)`
Evaluate trust.
`boolean`
`validate(X509Certificate untrustedCertificate, X509Certificate trustedCertificate)`
Evaluate trust.
`boolean`
`validate(X509Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate trust.
`boolean`
`validate(X509Credential untrustedCredential, X509Credential trustedCredential)`
Evaluate trust.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### ExplicitX509CertificateTrustEvaluator

public ExplicitX509CertificateTrustEvaluator()

## Method Details

### validate

public boolean validate(@Nonnull X509Certificate untrustedCertificate, @Nonnull X509Certificate trustedCertificate)
Evaluate trust.

Parameters:
  `untrustedCertificate` - the untrusted certificate to evaluate
  `trustedCertificate` - basis for trust
Returns:
  true if trust can be established, false otherwise

### validate

public boolean validate(@Nonnull X509Certificate untrustedCertificate, @Nonnull Iterable<X509Certificate> trustedCertificates)
Evaluate trust.

Parameters:
  `untrustedCertificate` - the untrusted certificate to evaluate
  `trustedCertificates` - basis for trust
Returns:
  true if trust can be established, false otherwise

### validate

public boolean validate(@Nonnull X509Credential untrustedCredential, @Nonnull X509Credential trustedCredential)
Evaluate trust.

Parameters:
  `untrustedCredential` - the untrusted X509Credential to evaluate
  `trustedCredential` - basis for trust
Returns:
  true if trust can be established, false otherwise

### validate

public boolean validate(@Nonnull X509Credential untrustedCredential, @Nonnull Iterable<Credential> trustedCredentials)
Evaluate trust.

Parameters:
  `untrustedCredential` - the untrusted X509Credential to evaluate
  `trustedCredentials` - basis for trust
Returns:
  true if trust can be established, false otherwise